Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.application
Class ApplicationFileManager

    java.lang.Object
      |
      +--weblogic.application.ApplicationFileManager

public final class ApplicationFileManager
extends java.lang.Object
implements weblogic.application.SplitDirectoryConstants

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ApplicationFileManager(java.io.File appFile)`
`ApplicationFileManager(java.lang.String appPath)`

Method Summary
`static java.io.File` | `findSrcDir(java.io.File destDir, java.io.File propsFile)`
`java.lang.String` | `getClasspath(java.lang.String compuri)`
`java.lang.String` | `getClasspath(java.lang.String compuri, java.lang.String relPath)`
`java.io.File` | `getDescriptorPath()` Returns a directory/file that can be searched recursively to find descriptors.
`java.io.File` | `getOutputPath()`
`java.io.File` | `getOutputPath(java.lang.String uri)`
`java.io.File` | `getSourcePath()`
`java.io.File` | `getSourcePath(java.lang.String uri)`
`weblogic.utils.jars.VirtualJarFile` | `getVirtualJarFile()` Returns the virtual jar file for the application.
`weblogic.utils.jars.VirtualJarFile` | `getVirtualJarFile(java.lang.String compuri)`
`boolean` | `isSplitDirectory()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationFileManager

    public ApplicationFileManager(java.lang.String appPath)
                           throws java.io.IOException

### ApplicationFileManager

    public ApplicationFileManager(java.io.File appFile)
                           throws java.io.IOException

Method Detail

### findSrcDir

    public static java.io.File findSrcDir(java.io.File destDir,
                                          java.io.File propsFile)
                                   throws java.io.IOException

### isSplitDirectory

    public boolean isSplitDirectory()

### getVirtualJarFile

    public weblogic.utils.jars.VirtualJarFile getVirtualJarFile()
                                                         throws java.io.IOException

  Returns the virtual jar file for the application. This is a wrapper around the exploded archiv or a split-directory ear/war/jar/rar. We also support deploying plain exploded jars/wars/rars without an ear.

  Returns:
    a new VirtualJarFile for this application

### getVirtualJarFile

    public weblogic.utils.jars.VirtualJarFile getVirtualJarFile(java.lang.String compuri)
                                                         throws java.io.IOException

### getClasspath

    public java.lang.String getClasspath(java.lang.String compuri)

### getClasspath

    public java.lang.String getClasspath(java.lang.String compuri,
                                         java.lang.String relPath)

### getDescriptorPath

    public java.io.File getDescriptorPath()

  Returns a directory/file that can be searched recursively to find descriptors. For archives, this returns the archive. For exploded archives, this returns the root directory. For split directories, this returns the source directory.

  Returns:
    a File for descriptor searches

### getSourcePath

    public java.io.File getSourcePath()

### getSourcePath

    public java.io.File getSourcePath(java.lang.String uri)

### getOutputPath

    public java.io.File getOutputPath()

### getOutputPath

    public java.io.File getOutputPath(java.lang.String uri)

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD